Đến nội dung


Hình ảnh
- - - - -

Giúp e giải đề này với ( bản vẽ đính kèm)


  • Please log in to reply
7 replies to this topic

#1 friendship293a

friendship293a

    biết lệnh erase

  • Members
  • PipPipPip
  • 102 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 04 June 2013 - 11:52 PM

 Các Anh Pro lisp giúp e giải quyết vấn đề này với. help me!!!!!!!!!!!

 

http://www.cadviet.c...1030_de_bai.dwg

 


  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 05 June 2013 - 09:04 AM

Với bài toán theo file bạn gởi thì dùng lisp này.

(defun C:HA( / ent1 ent2 pt p1 p2 px lst1 lst2)
 (if
  (and
   (setq ent1 (car (entsel "\nChon duong mat: ")))
   (setq pt (getpoint "\nChon diem tim: "))
   (setq ent2 (car (entsel "\nChon cao do diem tim: "))))
  (while (setq p (getpoint "\nPick diem can tinh: "))
   (setq lst1 (entget ent1) p1 (cdr (assoc 10 lst1)))
   (setq lst2 (entget ent2) p2 (cdr (assoc 11 lst2)) txt2 (cdr (assoc 1 lst2)))
   (entmake (list (cons 0 "LINE") (cons 10 p) (cons 11 (list (car p) (cadr p1)))))
   (setq txt (rtos (+ (distof txt2) (- (cadr p) (cadr pt))) 2 3))
   (setq px (polar p2 0 (- (car p) (car pt))))
   (setq lst2 (subst (cons 1 txt) (cons 1 txt2) lst2))
   (setq lst2 (subst (cons 11 px) (cons 11 p2) lst2))
   (entmake lst2)))
 (princ))
 


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 friendship293a

friendship293a

    biết lệnh erase

  • Members
  • PipPipPip
  • 102 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 05 June 2013 - 05:54 PM

CẢM ƠN ANH NHƯNG NÓ CHỈ ĐƯỢC FILE ĐÃ GỬI FILE KHÁC LÀ KHÔNG VẼ ĐƯỢC ĐƯỜNG LINE TỪ ĐIỂM TỚI ĐƯỜNG MẶT SO SÁNH NHỜ ANH XEM DÙM AK

 

 

http://www.cadviet.c..._khong_duoc.dwg


  • 0

#4 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 05 June 2013 - 06:13 PM

UCS >> W >> dùng lisp.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#5 friendship293a

friendship293a

    biết lệnh erase

  • Members
  • PipPipPip
  • 102 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 06 June 2013 - 08:19 AM

Thanks anh nhìu hihi! Tiện thể giúp em giải quyết nốt vấn đề này với ak

http://www.cadviet.c.../1030_hoi_2.dwg


  • 0

#6 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 06 June 2013 - 08:36 AM

Bản vẽ mới gởi lên: do 2 đường màu đỏ có Z khác 0 >> chuyển về Z=0 >> Trim bình thường.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#7 friendship293a

friendship293a

    biết lệnh erase

  • Members
  • PipPipPip
  • 102 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 06 June 2013 - 09:58 AM

Anh hiểu nhầm ý của em rùi. ý của e là muốn a viết cho e một đoạn lisp chi cần chọn đường thẳng 1 và 2 rồi nó tự động cắt tất cả đối tượng nằm giữa 2 đường thẳng cơ ket quả như trong bản vẽ mô tả

.http://www.cadviet.c...0_hoi_2_1_1.dwg


  • 0

#8 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 06 June 2013 - 10:07 AM

Cái này dùng TRIM với tuỳ chọn Fence cũng đơn giản, chả cần lisp.

Nhưng nếu thích lisp thì dùng cái này:

http://www.cadviet.c...ap-lenh-extrim/


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.